Show more

Use to navigate results, ENTER to select one, ESC to close

Type in any word to easily find the endpoint, property or group of operations you are looking for.

API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
Textline API

Topics

  • Introduction
  • Base URL
  • Authentication
  • Rate Limit
  • Error Handling
  • Conversation Links
  • Permissions
  • Pagination
  • Postman collection

Reference

  • Authentication
    • Access Token POST
  • Conversations
    • List Conversations GET
    • Message a Phone Number POST
    • Retrieve a Conversation GET
    • Message a Conversation POST
    • Import a Message as a Customer POST
    • Resolve a Conversation POST
    • Transfer a Conversation POST
  • Messaging Tools
    • Schedule a Message to a Conversation POST
    • Schedule a Message to a Phone Number POST
    • Send an Announcement POST
    • List Dispositions GET
  • Surveys
    • List Surveys GET
    • Send a Survey POST
    • List Responses GET
  • Customers
    • List Customers GET
    • Create a Customer POST
    • Retrieve a Customer GET
    • Update a Customer PUT
    • Request Contact Consent POST
    • Set Contact Consent POST
    • Retrieve a List of Custom Fields GET
    • Retrieve a list of Saved Searches GET
  • Account
    • Organization Details GET
    • Department Details GET
    • Agent Details GET
    • Turn on availability POST
    • Turn off availability DELETE
  • Reporting API
    • List Conversations GET
    • List Posts for a Conversation GET
  • Webhooks
    • New Customer Post POST
    • New Outbound Post POST
    • New Whisper POST
    • Conversation Status Change POST
    • Customer Updated POST
    • User Status Change POST
Powered by Bump.sh
API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
Textline API

Request Contact Consent

Ask AI
  • Add to Cursor
  • Add to VSCode
  • Add to other AI tools (MCP)

  • Open in ChatGPT
  • Open in Claude

  • View as Markdown
  • Copy as Markdown

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
POST /api/customers/request_consent.json

For HIPAA and Pro accounts setup with Contact Consent, this endpoint can send a request to a Contact to collect consent to have conversations over text messages. A group UUID (department) is a required parameter along wtih one of the following: Contact UUID or phone number.

application/json

Body

  • group_uuid string Required

    The uuid of the department from which you want to retrieve conversations. Not using a department UUID will have the whisper go out on your first department.

  • customer_uuid string

    The phone number of the contact that you would like to send the Contact Request to.

  • phone_number string

    The phone number of the contact that you would like to send the Contact Request to.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • success number
POST /api/customers/request_consent.json
curl \
 --request POST 'https://application.textline.com/api/customers/request_consent.json' \
 --header "Content-Type: application/json" \
 --data '{
  "group_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
  "customer_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
  "phone_number": "4148675309"
}'
Request example
{
  "group_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
  "customer_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
  "phone_number": "4148675309"
}
Response examples (200)
{
  "success": 1
}